# Stripe

## Using the Erathos platform

When selecting Stripe as a new connector on the Erathos platform, you will need to name your connection and fill in the following form:

![](https://help.erathos.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBWVE9IiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--f9416a5b1a8a5470d06b3e18cc6cafcbff11aca1/stripe.png)

## How to find Stripe's API Token?

A restricted API Key allows only the access level that has been specified.

To create a restricted API Key:

1. Access the **API Keys** page
2. You can either create a restricted key form scratch or clone an already existent key.
   * To create a key form scratch, click on **Create restricted key.** In this case, the standard value for all permissions is **None.**
   * To clone an already existent key: on the line of the key that you want to clone, click on the navigation menu and select **Duplicate key.** In this case, the standard value for each permisison is equivalent to its value in the now cloned key.
3. In the **Key name** field, insert a name. If you cloned an existent key, the standand name is the cloned key's name.
4. For each resouce that the new key should be able to access, select the correspondent permission. If you use Connect, you can also select the key permission when accessing connected accounts. The availabe permissions are **None**, **Reader** or **Recorder**.
5. Click on **Create key**.
6. Stripe will send a verification code to your email inbox ou through a text message. It may not be sent immediatly, be patient! When received, insert the code in the text box. If the text box doesn't advance to the next step automatically, click on **Continue**.
7. The text box will exhibit **the new key value**. Click to copy and **save** it, you won't be able to retrieve it.
8. In the Add an observation field, indicate where you saved the key value and click on **Concluded**.

Now paste the informations in the correct fields in the Erathos platform. Don't forget to click on **Save and close** to advance to the next steps of the integration.

With this connection created you can seemlessly move your Stripe data to your BigQuery, Redshift or Postgres data-warehouse.

## What endpoints can I access with the Erathos platform?

* files
* payouts
* refunds
* payment\_method\_domains
* products
* prices
* tax\_rates
* shipping\_rates
* checkout\_sessions
* payment\_links
* credit\_notes
* invoices
* invoice\_items
* plans
* quotes
* subscriptions
* subscription\_items
* schedules
* connected\_accounts
* external\_bank\_accounts
* persons
* application\_fees
* transfers
* early\_fraud\_warnings
* open\_reviews
* authorizations
* cardholders
* issuing\_disputes
* issuing\_transactions
* locations
* readers
* report\_runs
* financial\_connections\_accounts


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/connectors/apis/stripe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
